%global gem_name sqlite3

Name: rubygem-%{gem_name}
Version: 1.6.1
Release:    1%{?dist}
Summary: Allows Ruby scripts to interface with a SQLite3 database
License: BSD-3-Clause
URL: https://github.com/sparklemotion/sqlite3-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: rubygem-sqlite3-1.6.1-Load-mini_portile2-only-when-needed.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
BuildRequires: sqlite-devel
BuildRequires: rubygem(minitest) >= 5.0.0
BuildRequires: gcc

%description
SQLite3/Ruby is a module to allow Ruby scripts to interface with a SQLite3
database.

%package doc
Summary: Documentation for %{name}
License: BSD and LGPLv2
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

rm -rf ports
%gemspec_remove_file "ports/archives/sqlite-autoconf-3410000.tar.gz"

%gemspec_remove_dep -g mini_portile2 "~> 2.8.0"

%patch0 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec

CONFIGURE_ARGS="--enable-system-libraries"

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,sqlite3} %{buildroot}%{gem_extdir_mri}/

rm -rf %{buildroot}%{gem_instdir}/ext/

%check
pushd .%{gem_instdir}
ruby -I$(dirs +1)%{gem_extdir_mri}:lib:test -e 'Dir.glob "./test/test_*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%exclude %license %{gem_instdir}/LICENSE-DEPENDENCIES
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/API_CHANGES.md
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/ChangeLog.cvs
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/dependencies.yml
%doc %{gem_instdir}/faq
%{gem_instdir}/test

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-1
- initial build
